import Migration from "../../db/Migration.js";
import ModelFactory from "../../db/ModelFactory.js";
import User from "../models/User.js";
import UserApprovedComponent from "../models/UserApprovedComponent.js";

export default class AddApprovedFieldToUsersTableMigration extends Migration {
    public async install(): Promise<void> {
        await this.query('ALTER TABLE users ADD COLUMN approved BOOLEAN NOT NULL DEFAULT 0');
    }

    public async rollback(): Promise<void> {
        await this.query('ALTER TABLE users DROP COLUMN approved');
    }

    public registerModels(): void {
        ModelFactory.get(User).addComponent(UserApprovedComponent);
    }
}
