import ModelComponent from "../../db/ModelComponent.js";
import MagicLink from "./MagicLink.js";
import User from "./User.js";
import {USERNAME_REGEXP} from "./UserNameComponent.js";

export default class MagicLinkUserNameComponent extends ModelComponent<MagicLink> {
    public readonly username?: string = undefined;

    protected init(): void {
        this.setValidation('username').acceptUndefined().between(3, 64).regexp(USERNAME_REGEXP).unique(User, 'name');
    }
}
