import Migration from "../../db/Migration.js";
import ModelFactory from "../../db/ModelFactory.js";
import User from "../models/User.js";
import UserPasswordComponent from "./UserPasswordComponent.js";

export default class AddPasswordToUsersMigration extends Migration {
    public async install(): Promise<void> {
        await this.query(`ALTER TABLE users
            ADD COLUMN password VARCHAR(128) DEFAULT NULL`);
    }

    public async rollback(): Promise<void> {
        await this.query(`ALTER TABLE users
            DROP COLUMN password`);
    }

    public registerModels(): void {
        ModelFactory.get(User).addComponent(UserPasswordComponent);
    }
}
