import path from "path";

// Load config from specified path or default + swaf/config (default defaults)
process.env['NODE_CONFIG_DIR'] =
    path.resolve('node_modules/swaf/config')
    + path.delimiter
    + (process.env['NODE_CONFIG_DIR'] || path.resolve('config'));

import config from "config";
import {promises as fs} from "fs";

import {logger} from "./Logger.js";
import TestApp from "./TestApp.js";

(async () => {
    logger.debug('Config path:', process.env['NODE_CONFIG_DIR']);

    const packageJson = JSON.parse((await fs.readFile('package.json')).toString());

    const app = new TestApp(
        packageJson.version,
        config.get<string>('app.listen_addr'),
        config.get<number>('app.port'),
        false,
        true,
    );
    await app.start();
})().catch(err => {
    logger.error(err);
});
